Skip navigation

So you cant update the 2nd Generation ipod touch anymore?

226355 Views 234 Replies Latest reply: Jan 12, 2014 10:41 AM by vazandrew RSS Branched to a new discussion.
  • Airwa1k Calculating status...

    You do realize that almost all other mobile or computing companies refuse to support their products longer then a year right? 3 years is pretty good in comparison. Can you name a company that has supported a mobile device longer then three years? Besides what's the point in being able to update a device if you can't use it? The specifications on a device can only support the every growing need for power that apps and games need. Be lucky you didn't get a windows phone. Even less then a years support out of them.

  • Vincre Calculating status...

    The reason people are getting mad is because their devices have been rendered useless....

     

    Problems with windows?
    You mentioned computers...
    Microsoft started from that horrendous dos.. but that horrendous dos can be upgraded all the way to 7. You cannot do that with any apple devices. What you get is what you have for that year.

     

     

    The beautiful thing about microsoft is that their devices are backwards compatible.. and that is why people are angry. They lost everything all because of a stupid update. No one is asking for a new update.. No one is asking for a new anything, they just want returned what was formerly theirs. Everything they paid to have.

  • Airwa1k Level 1 Level 1 (0 points)

    Really? Upgrading DOS to 7? I would love to see you running a PC with a Pentium 120 with maybe lets say 32 MB of ram, which would have about right back then, running windows 7. Remember no GPU for you either. I understand the problem but people should really read. The compatible devices and OS requirements are stated. However it's usually up to the developer to state this. Not Apple.

  • ericfromforreston Calculating status...

    I agree.  I have an iTouch gen 2 (MB model) which was running just fine on 3.* but the constant harassment of iTunes to update to the latest software pushed me over the edge and I did so. We you all know what happens. Now I'm in total limbo, unable to use the newer versions of the Kindle app, the iBooks app (ironic since the first message I got after upgrade to 4.2 was a message inviting me to download the newer iBooks app which, of course, doesn't run under 4.2) and 80% of the other apps I was using and which worked at one time under 4.2 but now are no longer avilable anywhere.  I understand Apple's drive to lock down their market and *force* people to purchase the latest hardware in order to keep little Chinese children employed, but a simple advisory message warning people their apps might no longer work after upgrade would have been more than helpful.

     

    I also own a Samsung Media Player 5 which runs Gungerbread, an older version of Android.  All the apps work, they can be updated, if you need an older version of something, it's readily available, just as easy to use, much more flexible. So when my iPhone 4 is no longer supported is there any doubt which way I'll jump?  New iPhone (needing, of course, different cables, etc.) or an Android phone? Apple is confusing tightening their eco-system with innovation.

     

    As far as the comparison with Microsoft, mentioned above, backward compatibility is a big plus, yes, but more importantly is the much more open system that provides avenues for independent developers to write code that helps people adapt to the changes.

  • Vincre Level 1 Level 1 (0 points)

    Obviously the hardware will present horrible difficulties.. but it can be done. Change the hardware, easy is that. You cannot do that with apple without voiding some stupid warranty in their tiny little "fine print."

     

    And whether the developer does or does not state it, apps update themselves at times. Aside from that, why would one be allowed to update an app they wont be able to use afterwards?
    one cannot even DOWNLOAD an app that their device can't use...

  • aletss Calculating status...

    No

    Most of us dont want to upgrade our operating system ( u can see analogies between PS3 and PS1 gamses in previous posts).

     

    Well because u like to compare with 30 years old devices i will give you a 30y old comparision...

     

    I have an ATARI... all i want is to play my ATARI games... i dont want the new PS3 games... I dont care about the upgrades in the new PS3... I just want to be able to go to a yard sale and buy those old ATARI game... And i dont want ATARI to make me buy PS3 games (or upgrade apps in this matter) and then saying oooh too bad u upgrade your games to PS3, they dont work on atari, i am sorry i never said that now as a solution buy a PS3.

     

    Support. I do not want support from them... Also you can see in lasts posts about customer care and stuff and reasons why i am not longer a client for a ipod touch but i am still a client for my oooold ipod 160G.. recently a bit of a discussion of apple blokcing apps developters and not letting them release the old apps. Dont you think that companies like amazon dont want to sell books thorugh Kindle to me?? they dont care i have a gen2 itouch. They just want to sell books (the only reason of why i have an itouch)

     

    So please dont come telling that 80s bad joke about upgrading to a recent system. It is more than obvious that we cant, the hardware is so different now, the new apps ask for more memory, processor stuff, special hdw like GPS, etc etc. We dont want the new ones.

     

    The name of this topic was that becasue I believe that like me the guy just couldnt believe it was possible, he thought it was an error, he didnt get why all the apps he had stopped working because he upgraded them ask itunes suggested.

     

    So well that will be it... any more comments or analogies about using an old system and wanting to upgraded to a new one, please read some of the old posts because that is stuff already discussed.

  • longrl Calculating status...

    You didn't really solve anything, you simply stated that "The iPod will still function, and you can sync and use it as you have been."  Well what proof do you have of that?  Because what we are saying here is that iTunes will not let even the most basic functions sync onto perfectly working iTouches. 

     

    At the basis of this, I own a MP3 player.  Now I can't even put music on to it anymore because the latest update of iTunes doesn't allow for that to happen.  That's a dirty trick that Apple is playing here because they made their technology too good the first time that I haven't needed to buy a new iPod for almost 5 years now and they miss my money.  They would have had to consiously take out the technology that adapts with 2nd Gen iTouches so that it no longer lets even basic functions be executed.

     

    This is gouging and I'm very unhappy about this.  I guess I'm going to have to go back to burning CDs from my iTunes anytime I get any new music.  Might at well dig up my old Hello Kitty walkmen while I'm at it so I can listen to something at the gym.

  • deggie Level 8 Level 8 (44,815 points)

    What MP3 player do you have that used to sync with iTunes?

     

    All iPod Touches will continue to sync music with iTunes 11.

  • cliftonfromrichmond Level 3 Level 3 (790 points)

    deggie wrote:

     

    What MP3 player do you have that used to sync with iTunes?

     

    All iPod Touches will continue to sync music with iTunes 11.

    Deggie is correct.  I have a 30gig iPod 5th Generation Video, an 8 gig 2nd gen iPod Touch, and a 32 gig 4th Gen iPod Touch and all three can sync to my iTunes library.

     

    With that being said, if you are so convinced that Apple is gouging, then file criminal charges and take them to court.  Don't be surprised if you can't find a lawer who will take the case...

  • the fiend Level 5 Level 5 (6,870 points)

    longrl wrote:

     

    You didn't really solve anything, you simply stated that "The iPod will still function, and you can sync and use it as you have been."  Well what proof do you have of that?  Because what we are saying here is that iTunes will not let even the most basic functions sync onto perfectly working iTouches. 

    I own and regularly use a 2nd generation iPod Touch. It does indeed Sync all the "basic functions", and more, of an iPod Touch. My 2nd generation Touch can still Sync perfectly with iTunes. All my music, photos, Podcasts and videos (did I leave anything out?) can be used on my iPod without any issue.

     

    As soon as I became aware of the limitation of iOS 4.2.1, I made sure not to download new versions of Apps that cannot be used on my iPod. Consequently, I have only lost the use of one App out of more than 100.

     

    Is that proof enough for you?

     

    If you actually have a 2nd generation Touch (which appears questionable), then tell us what the problem is and we see if we can help.

     

    However, judging from this...

     

    longrl wrote:

     

     

    ... I own a MP3 player.  Now I can't even put music on to it anymore because the latest update of iTunes doesn't allow for that to happen.  That's a dirty trick that Apple is playing here ....

    So - let me get this right... you do not own an iPod Touch. But you have been somehow Syncing another brand of MP3 player with iTunes, and now you're bleating because you can't do so anymore.

     

    It's not Apple's responsibilty to make your "MP3 player" work with their programme; one that has been specifically designed to work with their products.

     

    Take careful note of the above.

     

    Now - back to the proof thing.

     

    If my telling you about my iPod Touch isn't enough proof for you, I can show it to you if you prefer.

     

    We can meet tomorrow morning by Nelson's Column in Trafalgar Square, London at 8:55am. Be prompt, because I can't hang around, I'm a busy man. I have to spend (far too much) time responding to posts such as yours.

     

  • the fiend Level 5 Level 5 (6,870 points)

    By the way, I have read a news item that makes it failry clear why the push from iOS 4.2.1 to iOS 4.3 took place. I referred to it in another thread, but since no one has responded to it, I have let it drop.

     

    I was half expecting the post to be removed...

  • MaryCPlus Calculating status...

    This is very upsetting indeed.

     

    I have a second generation iPod Touch (8GB) and I've never had any problems with it, never jailbroken either and I still use it daily! I only realized that I couldn't go past 4.2.1 a few months ago and that really ticked me off. While sure, my iPod can sync properly with iTunes, my main problem is that I cannot install new apps at all without it telling me "The device is not up to date" or something along those lines. I would love to get new apps for my device and not play the same things over and over and over.

     

    I tried sending emails to Apple about this issue, see if they could do anything about it. Of course, since my warantee was long done, they won't send me a new iPod even if my own iPod is working fine. In the end, the representative just flat out told me to buy a new one ("[...]as mentioned in a previous email the only resolution is for you to purchase a new device").

     

    They did, however, send me a new iPod nano for free though (it was during that recall on the first generation iPod nano). But for this? No.

     

    It's unacceptable and I refuse to buy another one and they won't get any more money from me, that's for sure.

  • ericfromforreston Level 1 Level 1 (0 points)

    My issue isn't that I can't go beyond 4.2, in my gen 2 iTouch, it's that by going from 3.* to 4.2 (and encouraged to do so every time I plugged it in) it broke all the apps that previously worked under 3.0 and when you try to download them again, you can't because rather than default to the version of the app that worked with 4.2 (which they could easily have done) Apple defaults to the 5.0 version which now won't work on the upgraded iTouch. Apple could have easily prevented this by doing as they do with early iPod versions and suggest that the older models have no more upgrades available after 3.*  Then everything will still work and if you must have 5.0 you can buy a newer model.  Fine.  But the older model would not have been broken and made dysfunctional.  I now have a brick after the upgrade.  I can no longer use any of the ereader apps (the only ones I cared about) on my device. It's unfortunate that Apple has so locked down the OS preventing third-party hacks from making work-arounds. 

     

    I also have a Samsung Media Player 5 which works great (Gingerbread OS version of Android).  In fact it works so well, I'll probably dump my iPhone in favor of some Samsung Android model next go-around.  Many people complain because Samsung hasn't released a Jelly Bean upgrade, but that  works in the user's favor since he doesn't have to worry about the upgrade messing with what he has.  If you want to, of course,  there are hacks galore that permit you to load the new version and since everything I have run across is backwardly compatible, it's just not an issue.  Bear in mind that historically, open systems, even if technologically inferior (remember Betamax?) always beat out closed systems.  It's one reason why the PC continues to dominate the market.  Note that the iPod itself never took off until it was made available for Windows. Apple needs to bear that in mind as they continue to lock-down their eco-system.  Their huge hardware-software link advantage  may not last and these kinds of ostensibly small decisions will continue to **** off users and their fan-boy base, alread becoming extremely defensive, will diminish to a relatively small hardcore.

     

    Message was edited by: ericfromforreston

  • cliftonfromrichmond Level 3 Level 3 (790 points)

    This thread has gone on long enough.  The real problem here is not Apple and their upgrade policies.  The real problem is spoiled end users who are too lazy to keep a current backup (Apple made that fucntionality a part of iTunes), and too lazy to do a little research before they upgrade.

     

    Y'All need to get a life...

  • Vincre Level 1 Level 1 (0 points)

    do what the apple apologist says!

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.